# nu (ν)

## Sources

### Signal catching

- [Catch SIGTERM](https://dnmtechs.com/graceful-sigterm-signal-handling-in-python-3-best-practices-and-implementation/)
- [Windows termination signals](https://stackoverflow.com/a/35792192)
- ~~[Get ENUM name from value](https://stackoverflow.com/a/38716384)~~  
  Unused because of required compatibility with lower version python (3.9)

### Networking

- [Dynamically finding host IP address](https://stackoverflow.com/a/28950776)
- [IP Regex](https://ihateregex.io/expr/ip/)

### Database

- [SqlAlchemy session generator](https://stackoverflow.com/a/71053353)
- [Error handling decorator](https://chatgpt.com/share/67a46109-d38c-8005-ac36-677e6511ddcd)
