from core import Request, Response, BankNodeConfig
from bank_protocol.exceptions import InvalidRequest

def bank_code(request: Request, config: BankNodeConfig) -> Response:
    if request.body is not None:
        raise InvalidRequest("Incorrect usage")

    return config.ip

__all__ = ["bank_code"]
