from core import Request, Response
from bank_protocol.exceptions import InvalidRequest
from services.account_service import get_account_count

def bank_number_of_clients(request: Request, _) -> Response:
    if request.body is not None:
        raise InvalidRequest("Incorrect usage")

    number_of_clients = get_account_count()
    return number_of_clients

__all__ = ["bank_number_of_clients"]
