
from core.exceptions import BankNodeError


class ProxyError(BankNodeError):
    def __init__(self, message):
        super().__init__(message)
        self.message = message


class InvalidRequest(BankNodeError):
    def __init__(self, message):
        super().__init__(message)
        self.message = message


class RequestTimeoutError(BankNodeError):
    def __init__(self, message):
        super().__init__(message)
        self.message = message


class HostUnreachableError(BankNodeError):
    def __init__(self, message):
        super().__init__(message)
        self.message = message


class NoPortsOpenError(BankNodeError):
    def __init__(self, message):
        super().__init__(message)
        self.message = message
